%define pre %nil
%define version_name %{name}-%{version}
%define iconname %{name}.png
%define Group Networking/Mail

Summary:	The user-friendly, lightweight and fast GTK2 based email client
Name:		claws-mail
Version:	3.7.3
Release:	%mkrel 1
Epoch:		1
License:	GPLv3+
Group:		%{Group}
URL:		http://www.claws-mail.org
Source0:	http://downloads.sourceforge.net/sylpheed-claws/%{name}-%{version}.tar.bz2
Patch0:		%{name}-3.3.0-fix-desktop-file.patch
BuildRequires:	gtk2-devel
BuildRequires:	libtool
BuildRequires:	openldap-devel
BuildRequires:	enchant-devel
BuildRequires:	libgdk_pixbuf2.0-devel >= 2.6.4
BuildRequires:	pilot-link-devel
BuildRequires:	libltdl-devel
BuildRequires:	multiarch-utils
BuildRequires:	libetpan-devel >= 0.42
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	startup-notification-devel
BuildRequires:	gnutls-devel
BuildRequires:	valgrind
%if %mdkversion < 200700
BuildRequires:	libgnomeprintui-devel
%endif
BuildRequires:	spamassassin-spamd >= 3.0.0
BuildRequires:	gpgme-devel > 0.4.5
BuildRequires:	libsm-devel
%if %mdkversion > 200800
BuildRequires:	imagemagick
%else
BuildRequires:	imagemagick
%endif
%if %mdkversion > 200800
BuildRequires:	compface-devel
Requires:	compface
%endif
%if %mdkversion > 200700
BuildRequires:	libdbus-glib-devel
%endif
%if %mdkversion > 2008100
Requires:	rootcerts
%endif
#%if %mdkversion >= 200900
#BuildRequires:	libnm_util-devel
#BuildRequires:	libnm_glib-devel
#%endif
Requires:	common-licenses
Requires:	aspell-dictionary
Obsoletes:	%{name}-tools
Provides:	%{name}-tools
# Fix upgrade from mdk 2006:
Obsoletes:	sylpheed-claws2
Obsoletes:	sylpheed-claws
#Clamav is dropped
Obsoletes:	claws-mail-clamav-plugin
#Pdf Viever is gone
Obsoletes:	claws-mail-pdf_viewer-plugin
## additinal feature which can be enabled at configure are jconv
## jconv
## A general purpose Japanese code conversion tool.
## BuildRequires: jconv
## Requires: jconv
Buildroot:	%{_tmppath}/%{version_name}-%{release}-buildroot


%description
Claws-Mail is an e-mail client (and news reader) based on GTK+2, running
on X Window System, and aiming for:
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

This is an improved version over the "bare" sylpheed package. It has
some additional features, and also extends existing features.

Addtitional features include:
    o Scoring
    o Spell checking
    o Return receipts

Improved features include:
    o SMTP Auth
    o Filtering
    o MIME attachments
    o Integrated News reader
    o Automatic mail checking
    o Line-wrapping
    o XML-based addressbook
    o Newly arrived and unread message management
    o Printing
    o GnuPG support
    o Address book supports JPilot, LDAP, LDIF, and vCard data files

For a complete listing of Features: http://www.claws-mail.org/features.php

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtk2-devel
Requires:	openldap-devel
Requires:	enchant-devel
Requires:	aspell-dictionary
Requires:	libgdk_pixbuf2.0-devel >= 2.6.4
Requires:	pilot-link-devel
Requires:	libltdl-devel
Requires:	libetpan-devel >= 0.42
%if %mdkversion < 200700
Requires:	libgnomeprintui-devel
%endif
Requires:	gpgme-devel > 0.4.5
Requires:	gnutls-devel
Obsoletes:	sylpheed-claws2-devel
Obsoletes:	sylpheed-claws-devel

%description -n %{name}-devel
Development files and headers for %{name}.

%package bogofilter-plugin
Summary:	Bogofilter plugin for %{name}
Group:		%{Group}
BuildRequires:	bogofilter
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bogofilter

%description bogofilter-plugin
Enables the scanning of incoming mail received from a 
POP, IMAP, or LOCAL account using Bogofilter. It can 
optionally delete mail identified as spam or save it 
to a designated folder. Bogofilter is a pure Bayesian 
filter, therefore it has better speed performance 
than SpamAssassin but might catch less spam.

%package smime-plugin
Summary:	S/Mime plugin for %{name}
Group:		%{Group}
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description smime-plugin
This plugin allows to use S/Mime signatures and encryptions
in Claws Mail

%package dillo_viewer-plugin
Summary:	Dillo HTML viewer plugin for %{name}
Group:		%{Group}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	dillo
Provides:	sylpheed-claws2-dillo_viewer-plugin
Obsoletes:	sylpheed-claws2-dillo_viewer-plugin

%description dillo_viewer-plugin
This plugin uses the Dillo browser to view text/html
MIME parts inside %{name}.

%package pgpcore-plugin
Summary:	PGP core plugin for %{name}
Group:		%{Group}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	sylpheed-claws2-pgpcore-plugin
Obsoletes:	sylpheed-claws2-pgpcore-plugin

%description pgpcore-plugin
Handles core PGP functions and is a dependency of both 
the PGP/Inline and PGP/MIME plugins.

%package pgpinline-plugin
Summary:	PGP/Inline plugin for %{name}
Group:		%{Group}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpcore-plugin = %{epoch}:%{version}-%{release}
Provides:	sylpheed-claws2-pgpinline-plugin
Obsoletes:	sylpheed-claws2-pgpinline-plugin

%description pgpinline-plugin
Handles PGP/Inline signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign 
and encrypt your own mails.

%package pgpmime-plugin
Summary:	PGP/MIME plugin for %{name}
Group:		%{Group}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpcore-plugin = %{epoch}:%{version}-%{release}
Provides:	sylpheed-claws2-pgpmime-plugin
Obsoletes:	sylpheed-claws2-pgpmime-plugin

%description pgpmime-plugin
Handles PGP/MIME signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign
and encrypt your own mails.

%package spamassassin-plugin
Summary:	Spamassassin-plugin for %{name}
Group:		%{Group}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	spamassassin-spamd
Provides:	sylpheed-claws2-spamassassin-plugin
Obsoletes:	sylpheed-claws2-spamassassin-plugin

%description spamassassin-plugin
Enables the scanning of incoming mail received from a 
POP, IMAP, or LOCAL account using SpamAssassin

See README for configuration and set-up info.

%package trayicon-plugin
Summary:	Notafication icon for %{name}
Group:		%{Group}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	sylpheed-claws2-trayicon-plugin
Obsoletes:	sylpheed-claws2-trayicon-plugin

%description trayicon-plugin
Places an icon in the system tray that indicates 
whether you have any new mail. A tooltip also shows 
the current new, unread and total number of messages, 
and a contextual menu allows the most common operations.

See README for additional info.

%prep
%setup -q
%patch0 -p0

%build
%define _disable_ld_no_undefined 1

%configure2_5x \
	--enable-enchant \
	--enable-jpilot \
	--disable-openssl \
	--enable-ldap \
	--enable-gpgme \
	--enable-crash-dialog \
	--enable-spamassassin-plugin \
	--enable-dillo-viewer-plugin \
	--enable-trayicon-plugin \
	--enable-bogofilter \
	--enable-ipv6 \
%if %mdkversion > 200800
	--enable-compface \
%endif
	--enable-gnutls \
	--disable-networkmanager-support \
	--disable-rpath \
	--disable-static

%make LIBTOOL=%{_bindir}/libtool

%check
make check

%install
rm -rf %{buildroot}
export LIBTOOL=%{_bindir}/false
%makeinstall_std

# multiarch
%multiarch_includes %{buildroot}%{_includedir}/%{name}/config.h

##remove duplicate man#
rm -rfd  %{buildroot}%{_mandir}
## remove unneeded file
#rm -rf tools/Makefile*
## remove unneeded devel files
rm -f %{buildroot}%{_libdir}/%{name}/plugins/*.*a

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert %{name}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{iconname}
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{iconname}
install -m644 %{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{iconname}
install -m644 %{name}-64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{iconname}
install -m644 %{name}-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{iconname}

mkdir -p %{buildroot}%{_datadir}/applications/
install -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/

cp -a ABOUT-NLS AUTHORS NEWS README* TODO* RELEASE_NOTES tools %{buildroot}%{_docdir}/claws-mail/
rm -f %{buildroot}%{_docdir}/claws-mail/tools/Makefile*

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/sylpheed-claws
%{_datadir}/applications/claws-mail.desktop
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_iconsdir}/hicolor/*/apps/*.png
%{_docdir}/claws-mail

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/claws-mail.pc
%multiarch %{multiarch_includedir}/%{name}/config.h

%files bogofilter-plugin
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/bogofilter.so

%files smime-plugin
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/smime.so
%{_libdir}/%{name}/plugins/smime.deps

%files dillo_viewer-plugin
%defattr(-,root,root)
%doc src/plugins/dillo_viewer/README
%{_libdir}/%{name}/plugins/dillo*.so

%files pgpcore-plugin
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/pgpcore.so

%files pgpinline-plugin
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/pgpinline.so
%{_libdir}/%{name}/plugins/pgpinline.deps

%files pgpmime-plugin
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/pgpmime.so
%{_libdir}/%{name}/plugins/pgpmime.deps

%files spamassassin-plugin
%defattr(-,root,root)
%doc src/plugins/spamassassin/README
%{_libdir}/%{name}/plugins/spamassassin*.so

%files trayicon-plugin
%defattr(-,root,root)
%doc src/plugins/trayicon/README
%{_libdir}/%{name}/plugins/trayicon.so


%changelog
* Fri Oct 09 2009 Colin Leroy <colinl@mandriva.org> 1:3.7.3-1mdv2010.1
+ Revision: 456254
- Fix tarball
- New upstream release

* Mon Oct 05 2009 Colin Leroy <colinl@mandriva.org> 1:3.7.2-2mdv2010.0
+ Revision: 453854
- Fix bug 54024, "Claws-Mail 3.7.2 doesn't refresh"
  Patch from upstream 3.7.2cvs42.

* Fri Aug 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.7.2-1mdv2010.0
+ Revision: 411306
- add buildrequires on libtool
- export path to libtool, just to make it compile
- use _disable_ld_no_undefined 1 as a workaround

  + Colin Leroy <colinl@mandriva.org>
    - New upstream release

* Fri Mar 06 2009 Colin Leroy <colinl@mandriva.org> 1:3.7.1-1mdv2009.1
+ Revision: 349651
- Update to 3.7.1

* Fri Dec 19 2008 Colin Leroy <colinl@mandriva.org> 1:3.7.0-1mdv2009.1
+ Revision: 316128
- Prepare new release
- Fix spellchecker

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.6.1-1mdv2009.1
+ Revision: 291580
- update to new version 3.6.1
- add buildrequires on enchant

* Fri Oct 03 2008 Colin Leroy <colinl@mandriva.org> 1:3.6.0-1mdv2009.0
+ Revision: 290998
- * SOURCES/claws-mail-3.6.0.tar.bz2,
  SPECS/claws-mail.spec:
  	New upstream release
  * SOURCES/claws-mail-3.5.0-gnutls-rootcerts-path.patch,
  SOURCES/claws-mail-3.5.0-gtk+2.13.x.patch:
  	Dropped (fixed upstream)

* Sun Sep 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.5.0-6mdv2009.0
+ Revision: 282370
- Patch2: fix compiling with gtk+-2.13.x and newer
- Patch1: fix it
- Patch1: add path to rootcers if compiled with gnutls support
- add requires for rootcerts
- disable openssl in confgure options

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.5.0-5mdv2009.0
+ Revision: 229678
- add requires on gnutls-devel for devel subpackage since support for gnutls has been enabled

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.5.0-4mdv2009.0
+ Revision: 229663
- obsolete claws-mail-pdf_viewer-plugin
- add missing buildrequires on bison, flex, startup-notification-devel, gnutls-devel and valgrind
- explicitly disable network-manager support

* Fri Jun 27 2008 Colin Leroy <colinl@mandriva.org> 1:3.5.0-3mdv2009.0
+ Revision: 229512
- A requested package cannot be installed:
  lib64nm_util-devel-0.7.0-0.3675.1mdv2009.0.x86_64 (due to unsatisfied devel(libnspr4(64bit)))
- Use new NM package names

* Fri Jun 27 2008 Colin Leroy <colinl@mandriva.org> 1:3.5.0-2mdv2009.0
+ Revision: 229510
- Disable NetworkManager support (broken NM packages)
- New upstream release

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Apr 18 2008 Colin Leroy <colinl@mandriva.org> 1:3.4.0-3mdv2009.0
+ Revision: 195677
- Force rebuild
- Signal that the clamav plugin is dead

* Fri Apr 18 2008 Colin Leroy <colinl@mandriva.org> 1:3.4.0-1mdv2009.0
+ Revision: 195588
- New upstream release

* Fri Mar 28 2008 Colin Leroy <colinl@mandriva.org> 1:3.3.1-2mdv2008.1
+ Revision: 190872
- Backport fixes from upstream CVS:
  (3.3.1cvs5) Fix bug 1534, 'Segmentation fault when doing
  	    some draft saving and then throwing away'
  (3.3.1cvs5)  Fix bug 1533, 'Claws is unable to mark messages
  	     as "read" in IMAP shared folders'
  (3.3.1cvs5)  Fix bug 1515, 'large messages crash claws when
  	     syncing for offline mode'. This is rather a
  	     workaround, and mails > 64MB will still be
  	     problematic if there's less than 64MB available
  	     on the dataroot volume.
  (3.3.1cvs7)  Probably fix bug 1539, 'Program crashes':
  	     Setup Gcrypt's thread functions when built
  	     with GnuTLS
  (3.3.1cvs19) Fix blinking of the taskbar entry
  (3.3.1cvs23) Fix folderview's scrollbar at startup
  	    if starting hidden
  (3.3.1cvs24) Fix buglet on setting recipient when
  	     reediting forward rules.
  (3.3.1cvs30) Remove raw printf
  (3.3.1cvs32) Sanity check.
  (3.3.1cvs36) strstrip mime subtype
  (3.3.1cvs39) Fix bug 1555: current folder wasn't used when
  	     right-clicking on an email address
  (3.3.1cvs40) Clean up session disconnection. Possibly
  	     fix Ubuntu bug #204290
  (3.3.1cvs41+42) Prevent list flickering when deleting addresses.
  (3.3.1cvs43) Fix bug 1559, 'Claws Mail crashed deleting all
  	     common contacts'
  (3.3.1cvs44) Fix RedHat bug 431735, 'segfault if /home is full'
  	     (when starting): Fix double fclose() in prefs.c
  	     and potentially xmlprops.c

* Sun Feb 24 2008 Colin Leroy <colinl@mandriva.org> 1:3.3.1-1mdv2008.1
+ Revision: 174263
- New upstream release 3.3.1

* Fri Feb 08 2008 Colin Leroy <colinl@mandriva.org> 1:3.3.0-2mdv2008.1
+ Revision: 164141
- Upgrade to 3.3.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.2.0-2mdv2008.1
+ Revision: 139433
- rebuild for libetpan and bogofilter

  + Colin Leroy <colinl@mandriva.org>
    - Put back buildroot, or "make DESTDIR= install" fails
    - ImageMagick *was* required
    -Remove useless imagemagick builddep
    -Use compface only on > 2008.0

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.2.0-1mdv2008.1
+ Revision: 133264
- spec file clean
- do not package COPYING file
- remove big ChangeLog files and INSTALL file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Colin Leroy <colinl@mandriva.org>
    - New 3.2.0 upstream release

* Sun Dec 02 2007 Funda Wang <fundawang@mandriva.org> 1:3.1.0-3mdv2008.1
+ Revision: 114365
- add desktop file patch

* Mon Nov 19 2007 Colin Leroy <colinl@mandriva.org> 1:3.1.0-2mdv2008.1
+ Revision: 110480
- Increment rel
- Remove wrong dependancy

* Mon Nov 19 2007 Colin Leroy <colinl@mandriva.org> 1:3.1.0-1mdv2008.1
+ Revision: 110412
- Fix virtual dependancy
- Add missing BuildDepends
- Update Claws Mail's spec to 3.1.0
- libgnomeprintui is not a dependancy anymore, the internal
  GTK+ print support is used with GTK+ >= 2.10

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add requires on compface

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.0.2-2mdv2008.1
+ Revision: 102417
- update descriptions for plugins
- fix mixture of tabs and spaces
- enable compface
- disable static libraries
- nuke rpath
- remove old non fd.o icons dir
- fix desktop entries
- add scriplets
- spec file clean

* Tue Oct 02 2007 Colin Leroy <colinl@mandriva.org> 1:3.0.2-1mdv2008.0
+ Revision: 94597
- Upgrade to 3.0.2 (bugfixes only)

* Thu Sep 20 2007 Colin Leroy <colinl@mandriva.org> 1:3.0.1-1mdv2008.0
+ Revision: 91383
- Fix Summary

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix

  + Funda Wang <fundawang@mandriva.org>
    - GPLv3+ now

* Tue Sep 04 2007 Funda Wang <fundawang@mandriva.org> 1:3.0.0-1mdv2008.0
+ Revision: 78965
- BR clamav-devel
- New version 3.0.0

* Sat Jul 14 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.10.0-1mdv2008.0
+ Revision: 52039
- New release 2.10.0

* Wed May 09 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.9.2-1mdv2008.0
+ Revision: 25795
- New release 2.9.2

* Thu Apr 19 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.9.1-1mdv2008.0
+ Revision: 14935
- New release 2.9.1

* Tue Apr 17 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.9.0-1mdv2008.0
+ Revision: 13566
- New release 2.9.0


* Tue Mar 06 2007 Jérôme Soyer <saispo@mandriva.org> 2.8.1-1mdv2007.0
+ Revision: 133885
- New release 2.8.1

* Tue Feb 27 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.8.0-3mdv2007.1
+ Revision: 126233
- Final Release

* Wed Feb 21 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.8.0-2mdv2007.1
+ Revision: 123182
- Bump Release
- New release 2.8.0-rc2

* Thu Feb 15 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.8.0-1mdv2007.1
+ Revision: 121504
- New release 2.8.0rc1

* Fri Jan 26 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.7.2-1mdv2007.1
+ Revision: 114223
- New release 2.7.2

* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.7.1-1mdv2007.1
+ Revision: 110276
- Ready to build
- Add BR, bump release

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add a buildrequire

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.7.0-1mdv2007.1
+ Revision: 107072
- Fix changes
- Fix %%files
- New release 2.7.0

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Macroise a little more

* Sat Jan 06 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.6.1-1mdv2007.1
+ Revision: 104872
- Add changes for building with iurt
- Import claws-mail

